Bug 1471155 - clarify route CA certifiate edit field
Summary: clarify route CA certifiate edit field
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.5.1
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 3.7.0
Assignee: Jessica Forrester
QA Contact: XiaochuanWang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-14 14:21 UTC by Aleksandar Kostadinov
Modified: 2017-11-28 22:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clarifies help text on the Route creation and editing pages to make it clear that the CA certificates should be certificate chains.
Clone Of:
Environment:
Last Closed: 2017-11-28 22:01:28 UTC
Target Upstream Version:


Attachments (Terms of Use)
route edit page (57.85 KB, image/png)
2017-07-14 14:21 UTC, Aleksandar Kostadinov
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Description Aleksandar Kostadinov 2017-07-14 14:21:18 UTC
Created attachment 1298378 [details]
route edit page

Description of problem:
When you `edit` a route in management console to set custom certificate, one of the fields is labeled "The PEM format CA certificate". Another one is "The PEM format CA certificate to validate ...". 

I think these need to be changed to "certificate chain" to make clear that a full certificate chain should be given. That means:

-----BEGIN CERTIFICATE-----
...
-----END CERTIFICATE-----
-----BEGIN CERTIFICATE-----
...
-----END CERTIFICATE-----
-----BEGIN CERTIFICATE-----
...
-----END CERTIFICATE-----

Attaching a screenshot of the page.

Comment 1 openshift-github-bot 2017-11-03 16:00:20 UTC
Commits pushed to master at https://github.com/openshift/origin-web-console

https://github.com/openshift/origin-web-console/commit/e773a5de84b37fd0619888ed867908ca8f23b2fa
Bug 1471155 - update help text on CA inputs

https://github.com/openshift/origin-web-console/commit/1d3a73bacfc0d03a4d054ed3bbb20b0cdf9dd08c
Merge pull request #2443 from jwforres/route-edit-ca-help

Automatic merge from submit-queue.

Bug 1471155 - update help text on CA inputs

Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1471155

Comment 4 Yadan Pei 2017-11-08 08:42:12 UTC
On v3.7.0-0.196.0

The help text for CA inputs changed to "CA certificate chain"

Move to VERIFIED

Comment 7 errata-xmlrpc 2017-11-28 22:01:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188


Note You need to log in before you can comment on or make changes to this bug.